<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\BaseAttachment
 *
 * @property int $id
 * @property string $name 附件名称
 * @property string $md5 md5码
 * @property string $path 附件路径
 * @property string $url 附件url
 * @property string $class 分类
 * @property int|null $size
 * @property string|null $file_type
 * @property int $download
 * @property string|null $klass 关联模型
 * @property int|null $objid 关联id
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment query()
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereClass($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereDownload($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereFileType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereKlass($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereMd5($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereObjid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment wherePath($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereSize($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|BaseAttachment whereUrl($value)
 * @mixin \Eloquent
 */
class BaseAttachment extends Model
{
    //
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'base_attachments';
    /**
     * 主键
     */
    protected $primaryKey = 'id';
}
