<?php
/*
 * 公共配置
 */
return [
    // 平台
    'platform' => [1 => '抖音', 2 => '快手'],
    // 短剧状态
    'episode_status' => ['持续更新中','已完结'],
    // 短剧免费
    'episode_free' => ['付费','免费'],
    // 短剧上架状态
    'episode_opend' => ['已下架','销售中'],
    // 是否状态
    'bool_status' => ['否','是'],
    // 会员权限
    'vip_role' => [ 1 => '会员可查看所有视频', 2 => '会员只能查看指定视频'],
    // 会员权限
    'open_sign' => ['关闭签到', '开启签到'],
    // 消费类型
    'consume_type' => [1 => '充值', 2 => '消费', 3 => '签到'],
    // 分类
    'cat_level' => [1 => '一级分类', 2 => '二级分类'],
    // 支付状态
    'order_status' => [
        0 =>'未付款',
        1 =>'已完成',
        2 =>'已取消',
        3 => '已关闭'
    ],
    // 签到设置
    'sign_config' => [
        1 => ['name' => '第一天', 'award' => 3],
        2 => ['name' => '第二天', 'award' => 6],
        3 => ['name' => '第三天', 'award' => 10],
        4 => ['name' => '第四天', 'award' => 15],
        5 => ['name' => '第五天', 'award' => 20],
        6 => ['name' => '第六天', 'award' => 30],
        7 => ['name' => '第七天', 'award' => 50],
    ],
    'pay_type' => [
        1 => '微信支付', 2  => '支付宝支付', 10 => '抖音支付'
    ],
    'pay_source' => [
        1 => '微信支付', 2  => '支付宝支付', 10 => '抖音支付'
    ]
];
