<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Setting
 *
 * @property int $id
 * @property string $name 小程序名称
 * @property string $logo 小程序logo
 * @property string $contact 联系电话
 * @property string $tips 小程序提示
 * @property int $vip_role 会员权限
 * @property int $is_watch_auto_pay 观看自动支付
 * @property string $recharge_bg_img 封面图
 * @property string $recharge_button_txt 按钮文案
 * @property string|null $recharge_desc 充值说明
 * @property string|null $nav_seting 导航栏设置 json
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null $deleted_at
 * @property \Illuminate\Support\Carbon|null $created_at
 * @method static \Illuminate\Database\Eloquent\Builder|Setting newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Setting newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Setting query()
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereContact($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereIsWatchAutoPay($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereLogo($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereNavSeting($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereRechargeBgImg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereRechargeButtonTxt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereRechargeDesc($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereTips($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Setting whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class Setting extends Model
{
    use HasFactory;
}
